Subject: bug#20011: etc/PROBLEMS: updates, wording, typos

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2015 12:23:44 +0200

> From: Ivan Shmakov <[email-masked]>
> Date: Fri, 06 Mar 2015 09:10:54 +0000
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> >>>>> From: Ivan Shmakov  Date: Thu, 05 Mar 2015 21:49:22 +0000
> 
>  >> Please consider the patch MIMEd.
> 
>  >> * etc/PROBLEMS: Use 'which' where appropriate (was: 'that'); mention
>  >> visible-cursor; a few more mentions of ~/.Xresources and xrdb(1);
>  >> refer to 'GNU Coreutils' and 'X Window' (were: 'GNU Fileutils' and
>  >> 'X Windows', respectively); other similar fixes and updates.
> 
>  > There's nothing wrong with using "that" in these contexts,
> 
> 	AIUI, there’s nothing wrong with using “which” there, either.

Indeed, there isn't.  But making such changes in a single document on
top of that, leaving all the other uses intact, hardly makes sense.
It could make sense if we agreed not to use "that" in these cases, and
then changed that all over and wrote somewhere in the docs that this
is our style.  But not in a single file.

>  >>  Alternatively, if you want a blinking underscore as your Emacs cursor,
>  >> -change the "cvvis" capability to send the "\E[?25h\E[?0c" command.
>  >> +set the `visible-cursor' variable to nil in your ~/.emacs:
>  >> +  (setq visible-cursor nil)
> 
>  > replaces a recipe with an entirely different one.  Why not keep both?
> 
> 	The former recipe seems to predate the introduction of
> 	visible-cursor.  I see no reason to keep it now that there’s an
> 	easy way to solve the issue without having to modify terminfo or
> 	restart Emacs, etc.  I presume that the more experienced users
> 	will be able to gather all what necessary for a terminfo-based
> 	solution from the “use software cursor” recipe just above the
> 	one at hand.

I don't know enough about this to judge, so I will defer to others.
(I generally prefer to keep existing knowledge intact, even if it's
old, as long as it's correct; but that's me.)

Thanks.